package com.ruoyi.system.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import java.util.Date;

public class SnServerDto {
   private Long serverId;
   @Excel(
      name = "服务器IP"
   )
   private String ip;
   @Excel(
      name = "端口"
   )
   private Integer port;
   @Excel(
      name = "用户名"
   )
   private String userName;
   @Excel(
      name = "登录密码"
   )
   private String password;
   @Excel(
      name = "状态"
   )
   private Integer status;
   private Integer process;
   private Long taskId;
   private String domain;
   private Integer sslType;
   private String sslPem;
   private String sslKey;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date sslTime;
   private String nginxCnf;
   private String version;
   private String backVersion;
   private String uiVersion;
   private String uaVersion;
   private String createName;
   private String agentName;
   private String dealerName;

   public void setPassword(String password) {
      this.password = "********";
   }

   public Long getServerId() {
      return this.serverId;
   }

   public String getIp() {
      return this.ip;
   }

   public Integer getPort() {
      return this.port;
   }

   public String getUserName() {
      return this.userName;
   }

   public String getPassword() {
      return this.password;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getProcess() {
      return this.process;
   }

   public Long getTaskId() {
      return this.taskId;
   }

   public String getDomain() {
      return this.domain;
   }

   public Integer getSslType() {
      return this.sslType;
   }

   public String getSslPem() {
      return this.sslPem;
   }

   public String getSslKey() {
      return this.sslKey;
   }

   public Date getSslTime() {
      return this.sslTime;
   }

   public String getNginxCnf() {
      return this.nginxCnf;
   }

   public String getVersion() {
      return this.version;
   }

   public String getBackVersion() {
      return this.backVersion;
   }

   public String getUiVersion() {
      return this.uiVersion;
   }

   public String getUaVersion() {
      return this.uaVersion;
   }

   public String getCreateName() {
      return this.createName;
   }

   public String getAgentName() {
      return this.agentName;
   }

   public String getDealerName() {
      return this.dealerName;
   }

   public void setServerId(Long serverId) {
      this.serverId = serverId;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public void setPort(Integer port) {
      this.port = port;
   }

   public void setUserName(String userName) {
      this.userName = userName;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setProcess(Integer process) {
      this.process = process;
   }

   public void setTaskId(Long taskId) {
      this.taskId = taskId;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setSslType(Integer sslType) {
      this.sslType = sslType;
   }

   public void setSslPem(String sslPem) {
      this.sslPem = sslPem;
   }

   public void setSslKey(String sslKey) {
      this.sslKey = sslKey;
   }

   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   public void setSslTime(Date sslTime) {
      this.sslTime = sslTime;
   }

   public void setNginxCnf(String nginxCnf) {
      this.nginxCnf = nginxCnf;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public void setBackVersion(String backVersion) {
      this.backVersion = backVersion;
   }

   public void setUiVersion(String uiVersion) {
      this.uiVersion = uiVersion;
   }

   public void setUaVersion(String uaVersion) {
      this.uaVersion = uaVersion;
   }

   public void setCreateName(String createName) {
      this.createName = createName;
   }

   public void setAgentName(String agentName) {
      this.agentName = agentName;
   }

   public void setDealerName(String dealerName) {
      this.dealerName = dealerName;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnServerDto)) {
         return false;
      } else {
         SnServerDto other = (SnServerDto)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label263: {
               Object this$serverId = this.getServerId();
               Object other$serverId = other.getServerId();
               if (this$serverId == null) {
                  if (other$serverId == null) {
                     break label263;
                  }
               } else if (this$serverId.equals(other$serverId)) {
                  break label263;
               }

               return false;
            }

            Object this$port = this.getPort();
            Object other$port = other.getPort();
            if (this$port == null) {
               if (other$port != null) {
                  return false;
               }
            } else if (!this$port.equals(other$port)) {
               return false;
            }

            label249: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label249;
                  }
               } else if (this$status.equals(other$status)) {
                  break label249;
               }

               return false;
            }

            Object this$process = this.getProcess();
            Object other$process = other.getProcess();
            if (this$process == null) {
               if (other$process != null) {
                  return false;
               }
            } else if (!this$process.equals(other$process)) {
               return false;
            }

            label235: {
               Object this$taskId = this.getTaskId();
               Object other$taskId = other.getTaskId();
               if (this$taskId == null) {
                  if (other$taskId == null) {
                     break label235;
                  }
               } else if (this$taskId.equals(other$taskId)) {
                  break label235;
               }

               return false;
            }

            Object this$sslType = this.getSslType();
            Object other$sslType = other.getSslType();
            if (this$sslType == null) {
               if (other$sslType != null) {
                  return false;
               }
            } else if (!this$sslType.equals(other$sslType)) {
               return false;
            }

            label221: {
               Object this$ip = this.getIp();
               Object other$ip = other.getIp();
               if (this$ip == null) {
                  if (other$ip == null) {
                     break label221;
                  }
               } else if (this$ip.equals(other$ip)) {
                  break label221;
               }

               return false;
            }

            label214: {
               Object this$userName = this.getUserName();
               Object other$userName = other.getUserName();
               if (this$userName == null) {
                  if (other$userName == null) {
                     break label214;
                  }
               } else if (this$userName.equals(other$userName)) {
                  break label214;
               }

               return false;
            }

            Object this$password = this.getPassword();
            Object other$password = other.getPassword();
            if (this$password == null) {
               if (other$password != null) {
                  return false;
               }
            } else if (!this$password.equals(other$password)) {
               return false;
            }

            label200: {
               Object this$domain = this.getDomain();
               Object other$domain = other.getDomain();
               if (this$domain == null) {
                  if (other$domain == null) {
                     break label200;
                  }
               } else if (this$domain.equals(other$domain)) {
                  break label200;
               }

               return false;
            }

            label193: {
               Object this$sslPem = this.getSslPem();
               Object other$sslPem = other.getSslPem();
               if (this$sslPem == null) {
                  if (other$sslPem == null) {
                     break label193;
                  }
               } else if (this$sslPem.equals(other$sslPem)) {
                  break label193;
               }

               return false;
            }

            Object this$sslKey = this.getSslKey();
            Object other$sslKey = other.getSslKey();
            if (this$sslKey == null) {
               if (other$sslKey != null) {
                  return false;
               }
            } else if (!this$sslKey.equals(other$sslKey)) {
               return false;
            }

            Object this$sslTime = this.getSslTime();
            Object other$sslTime = other.getSslTime();
            if (this$sslTime == null) {
               if (other$sslTime != null) {
                  return false;
               }
            } else if (!this$sslTime.equals(other$sslTime)) {
               return false;
            }

            label172: {
               Object this$nginxCnf = this.getNginxCnf();
               Object other$nginxCnf = other.getNginxCnf();
               if (this$nginxCnf == null) {
                  if (other$nginxCnf == null) {
                     break label172;
                  }
               } else if (this$nginxCnf.equals(other$nginxCnf)) {
                  break label172;
               }

               return false;
            }

            Object this$version = this.getVersion();
            Object other$version = other.getVersion();
            if (this$version == null) {
               if (other$version != null) {
                  return false;
               }
            } else if (!this$version.equals(other$version)) {
               return false;
            }

            Object this$backVersion = this.getBackVersion();
            Object other$backVersion = other.getBackVersion();
            if (this$backVersion == null) {
               if (other$backVersion != null) {
                  return false;
               }
            } else if (!this$backVersion.equals(other$backVersion)) {
               return false;
            }

            label151: {
               Object this$uiVersion = this.getUiVersion();
               Object other$uiVersion = other.getUiVersion();
               if (this$uiVersion == null) {
                  if (other$uiVersion == null) {
                     break label151;
                  }
               } else if (this$uiVersion.equals(other$uiVersion)) {
                  break label151;
               }

               return false;
            }

            Object this$uaVersion = this.getUaVersion();
            Object other$uaVersion = other.getUaVersion();
            if (this$uaVersion == null) {
               if (other$uaVersion != null) {
                  return false;
               }
            } else if (!this$uaVersion.equals(other$uaVersion)) {
               return false;
            }

            label137: {
               Object this$createName = this.getCreateName();
               Object other$createName = other.getCreateName();
               if (this$createName == null) {
                  if (other$createName == null) {
                     break label137;
                  }
               } else if (this$createName.equals(other$createName)) {
                  break label137;
               }

               return false;
            }

            Object this$agentName = this.getAgentName();
            Object other$agentName = other.getAgentName();
            if (this$agentName == null) {
               if (other$agentName != null) {
                  return false;
               }
            } else if (!this$agentName.equals(other$agentName)) {
               return false;
            }

            Object this$dealerName = this.getDealerName();
            Object other$dealerName = other.getDealerName();
            if (this$dealerName == null) {
               if (other$dealerName == null) {
                  return true;
               }
            } else if (this$dealerName.equals(other$dealerName)) {
               return true;
            }

            return false;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnServerDto;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $serverId = this.getServerId();
      result = result * 59 + ($serverId == null ? 43 : $serverId.hashCode());
      Object $port = this.getPort();
      result = result * 59 + ($port == null ? 43 : $port.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $process = this.getProcess();
      result = result * 59 + ($process == null ? 43 : $process.hashCode());
      Object $taskId = this.getTaskId();
      result = result * 59 + ($taskId == null ? 43 : $taskId.hashCode());
      Object $sslType = this.getSslType();
      result = result * 59 + ($sslType == null ? 43 : $sslType.hashCode());
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $userName = this.getUserName();
      result = result * 59 + ($userName == null ? 43 : $userName.hashCode());
      Object $password = this.getPassword();
      result = result * 59 + ($password == null ? 43 : $password.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $sslPem = this.getSslPem();
      result = result * 59 + ($sslPem == null ? 43 : $sslPem.hashCode());
      Object $sslKey = this.getSslKey();
      result = result * 59 + ($sslKey == null ? 43 : $sslKey.hashCode());
      Object $sslTime = this.getSslTime();
      result = result * 59 + ($sslTime == null ? 43 : $sslTime.hashCode());
      Object $nginxCnf = this.getNginxCnf();
      result = result * 59 + ($nginxCnf == null ? 43 : $nginxCnf.hashCode());
      Object $version = this.getVersion();
      result = result * 59 + ($version == null ? 43 : $version.hashCode());
      Object $backVersion = this.getBackVersion();
      result = result * 59 + ($backVersion == null ? 43 : $backVersion.hashCode());
      Object $uiVersion = this.getUiVersion();
      result = result * 59 + ($uiVersion == null ? 43 : $uiVersion.hashCode());
      Object $uaVersion = this.getUaVersion();
      result = result * 59 + ($uaVersion == null ? 43 : $uaVersion.hashCode());
      Object $createName = this.getCreateName();
      result = result * 59 + ($createName == null ? 43 : $createName.hashCode());
      Object $agentName = this.getAgentName();
      result = result * 59 + ($agentName == null ? 43 : $agentName.hashCode());
      Object $dealerName = this.getDealerName();
      result = result * 59 + ($dealerName == null ? 43 : $dealerName.hashCode());
      return result;
   }

   public String toString() {
      return "SnServerDto(serverId=" + this.getServerId() + ", ip=" + this.getIp() + ", port=" + this.getPort() + ", userName=" + this.getUserName() + ", password=" + this.getPassword() + ", status=" + this.getStatus() + ", process=" + this.getProcess() + ", taskId=" + this.getTaskId() + ", domain=" + this.getDomain() + ", sslType=" + this.getSslType() + ", sslPem=" + this.getSslPem() + ", sslKey=" + this.getSslKey() + ", sslTime=" + this.getSslTime() + ", nginxCnf=" + this.getNginxCnf() + ", version=" + this.getVersion() + ", backVersion=" + this.getBackVersion() + ", uiVersion=" + this.getUiVersion() + ", uaVersion=" + this.getUaVersion() + ", createName=" + this.getCreateName() + ", agentName=" + this.getAgentName() + ", dealerName=" + this.getDealerName() + ")";
   }
}
